com.pixelmed.dicom

## Class ContentItemFactory.ContainerContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.ContainerContentItem

All Implemented Interfaces:
  javax.swing.tree.TreeNode

Enclosing class:
  ContentItemFactory

    public class ContentItemFactory.ContainerContentItem
    extends ContentItemWithValue

### Field Summary

Fields
`protected java.lang.String` `continuityOfContent`
`protected java.lang.String` `templateIdentifier`
`protected java.lang.String` `templateMappingResource`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`relationshipType`

### Constructor Summary

Constructors
Constructor and Description
`ContentItemFactory.ContainerContentItem(ContentItem parent, AttributeList list)`
`ContentItemFactory.ContainerContentItem(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName)`
`ContentItemFactory.ContainerContentItem(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, boolean continuityOfContentIsSeparate)`
`ContentItemFactory.ContainerContentItem(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, boolean continuityOfContentIsSeparate, java.lang.String templateMappingResource, java.lang.String templateIdentifier)`

### Method Summary

Methods
`java.lang.String` `getConceptValue()` Get a string representation of the value of the concept.
`java.lang.String` `getContinuityOfContent()`
`java.lang.String` `getTemplateIdentifier()`
`java.lang.String` `getTemplateMappingResource()`
`java.lang.String` `toString()` Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### continuityOfContent

    protected java.lang.String continuityOfContent

#### templateMappingResource

    protected java.lang.String templateMappingResource

#### templateIdentifier

    protected java.lang.String templateIdentifier

### Constructor Detail

#### ContentItemFactory.ContainerContentItem

    public ContentItemFactory.ContainerContentItem(ContentItem parent,
                                           AttributeList list)

Parameters:
  `parent` -
  `list` -

#### ContentItemFactory.ContainerContentItem

    public ContentItemFactory.ContainerContentItem(ContentItem parent,
                                           java.lang.String relationshipType,
                                           CodedSequenceItem conceptName,
                                           boolean continuityOfContentIsSeparate,
                                           java.lang.String templateMappingResource,
                                           java.lang.String templateIdentifier)
                                            throws DicomException

Parameters:
  `parent` -
  `relationshipType` -
  `conceptName` -
  `continuityOfContentIsSeparate` - true if SEPARATE, false if CONTINUOUS
  `templateMappingResource` -
  `templateIdentifier` -
Throws:
  `DicomException`

#### ContentItemFactory.ContainerContentItem

    public ContentItemFactory.ContainerContentItem(ContentItem parent,
                                           java.lang.String relationshipType,
                                           CodedSequenceItem conceptName,
                                           boolean continuityOfContentIsSeparate)
                                            throws DicomException

Parameters:
  `parent` -
  `relationshipType` -
  `conceptName` -
  `continuityOfContentIsSeparate` - true if SEPARATE, false if CONTINUOUS
Throws:
  `DicomException`

#### ContentItemFactory.ContainerContentItem

    public ContentItemFactory.ContainerContentItem(ContentItem parent,
                                           java.lang.String relationshipType,
                                           CodedSequenceItem conceptName)
                                            throws DicomException

Parameters:
  `parent` -
  `relationshipType` -
  `conceptName` -
Throws:
  `DicomException`

### Method Detail

#### getConceptValue

    public java.lang.String getConceptValue()

Description copied from class: `ContentItemWithValue`

Get a string representation of the value of the concept.

The exact form of the returned string is specific to the type of ContentItem.

Specified by:
  `getConceptValue` in class `ContentItemWithValue`
Returns:
  a String representation of the name and value, or an empty string

#### getContinuityOfContent

    public java.lang.String getContinuityOfContent()

#### getTemplateMappingResource

    public java.lang.String getTemplateMappingResource()

#### getTemplateIdentifier

    public java.lang.String getTemplateIdentifier()

#### toString

    public java.lang.String toString()

Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemWithValue`
Returns:
  the string representation of the content item